std::chrono::_V2::steady_clock Struct Reference
Utilities » Time

`#include <chrono>`

## Public Types

typedef chrono::nanoseconds | duration
typedef duration::period | period
typedef duration::rep | rep
typedef chrono::time_point< steady_clock, duration > | time_point

## Static Public Member Functions

static time_point | now () noexcept

## Static Public Attributes

static constexpr bool | is_steady

## Detailed Description

Monotonic clock.

Time returned has the property of only increasing at a uniform rate.

Definition at line 1167 of file chrono.

## Member Typedef Documentation

## duration

typedef chrono::nanoseconds std::chrono::_V2::steady_clock::duration

Definition at line 1169 of file chrono.

## period

typedef duration::period std::chrono::_V2::steady_clock::period

Definition at line 1171 of file chrono.

## rep

typedef duration::rep std::chrono::_V2::steady_clock::rep

Definition at line 1170 of file chrono.

## time_point

typedef chrono::time_point<steady_clock, duration> std::chrono::_V2::steady_clock::time_point

Definition at line 1172 of file chrono.

## Member Data Documentation

## is_steady

bool std::chrono::_V2::steady_clock::is_steady

static constexpr

Definition at line 1174 of file chrono.

The documentation for this struct was generated from the following file:

- chrono